---
title: "Development of Tests"
date: "2020-10-01"
category: "develop"
---

Developers, operators, and security personnel should build tests for code and infrastructure that is business-critical,
has a high threat-profile, is subject to frequent change, or has/is a historical source of bugs.
Threat modeling can identify high-risk and high-impact code hotspots that provide a high return on investment (ROI) for
developing tests. Tests may include deployment, operating system, infrastructure and database hardening, application
testing (static and dynamic source code testing, container configuration),
integration or system testing (acceptance of application and infrastructure components and their interaction),
and smoke testing (post-deployment checks against a live system). Test authors should have access to comprehensive
development and test environments that enable them to perform rapid test development while reducing
continuous integration (CI) feedback loops. System test suites should be made available to run locally for authors as
well as within a shared testing environment.

## Projects
- TODO

## Examples
- TODO

## Links
- TODO
