---
title: "Industries"
date: "2021-05-18"
category: "compliance"
---


### Enterprise
Core areas of concern for Enterprise to adopt a cloud native model are maintaining the current process and
procedures while meeting the business objective. Keeping the interoperability, data loss or leakage, and security risk
exposure at a minimum when new standards and practices are introduced throughout the organization.

### Microbusiness
Core areas of concern for Small businesses to adopt a cloud native model are the ability to focus on short term goals
and foster innovation to meet intense competition. The lack of resources, budget, technology depth, and best
practice hinders their ability to adapt to cloud native solutions. Small business requires repeatable patterns and
a small IT footprint to solve the challenges.

### Finance
Core areas of concern for financial industries that are essential to successful cloud native adoption are
unauthorized disclosure of information, fraud, and fund availability. Fraud can have a direct impact on fund availability,
making the integrity of financial transactions of paramount importance.

### Healthcare
Core areas of concern for healthcare industries that are essential to successful cloud native adoption are
unauthorized disclosure of information, timeliness, and availability of records, and accuracy of records.
Due to the nature and practices of the healthcare industry, the availability of records, and their associated content is
the basis by which medical decisions are made. In the absence of such information, new records are developed.

### Academia and Education
Core areas of concern for educational institutions for successful cloud native adoption can be dependent upon the
intended end user. Institutions catering to minors may have additional legal requirements to protect the confidentiality
of minors, and thereby making access control critical. Beyond this, institutions should focus on the availability of
educational content to end users.

### Public Sector
Core areas of concern for Public Sector organizations that are essential to successful cloud native are security,
data sovereignty, compliance, and vendor lock-in. The barriers emerge from agencies placing regulations to protect the
public interest. In the public sector, it is essential to maintain harmony and trust between public and government
entities. Additionally, timeliness of deployments and features may also be a strong consideration. The adoption of
cloud native, along with modern methodologies, can increase organizational velocity, which is critical to many areas of
the public sector.

## Projects
- [Project Calico](https://www.projectcalico.org/)
- [SPIFFE/SPIRE](https://github.com/spiffe)
- [OPA](https://github.com/open-policy-agent/opa)
- [Istio](https://github.com/istio/istio)
- [Linkerd](https://github.com/linkerd)
- [HyperLedger](https://www.hyperledger.org/)
- [HashiCorp Vault](https://github.com/hashicorp/vault)
- [Keylime](https://keylime.dev/)
- [Kyverno](https://github.com/kyverno/kyverno)
- [Keycloak](https://github.com/keycloak/keycloak)

## Examples
- Adopt a Zero trust architecture with least-privilege security policies. See [this](zero-trust-architecture#examples)
  for more examples.