---
title: "Response & Investigation"
date: "2020-10-01"
category: "deploy"
---

An application should provide logs regarding authentication, authorization, actions, and failures. The developer should
include this capability as part of planning and design phases. These elements provide a trail of evidence to follow when
an investigation takes place, and a root cause needs to be established.

Forensics capabilities are integral part of any incident response and mitigation activity. They provide evidence to
determine the root cause of an incident and provide feedback for any mitigation to be put in place. The short-lived
nature of the container environment requires a more agile toolset to capture and analyze any evidence. Integrating
forensics capabilities into an incident response plan and procedures will provide the means to acquire and process
evidence, decrease the time to determine root cause, and minimize exposure to a compromise.


<!---
# Commercial Projects (optional)
- [Trend Micro Vision One](https://www.trendmicro.com/en_us/business/products/detection-response.html)
- [Trend Micro IPS](https://www.trendmicro.com/en_us/business/products/network/intrusion-prevention.html)
- [Trend Micro Advanced Threat Protection](https://www.trendmicro.com/en_us/business/products/network/advanced-threat-protection.html)
-->

## Projects
- [Wazuh](https://github.com/wazuh/wazuh)
- [Snort](https://www.snort.org/)
- [Suricata](https://github.com/OISF/suricata)
- [Zeek](https://github.com/zeek/zeek)
- [Osquery](https://github.com/osquery/osquery)