---
title: "Threat Intelligence"
date: "2020-10-01"
category: "Security Assurance"
---

Cloud native applications by design and purpose are a collection of multiple dynamic components compromised from first-party and third-party code and tools, which means threat intelligence must be applied for network activity and cloud native application components. Cyber threat intelligence is information about threats and threat actors that helps mitigate harmful events. Threat intelligence in cloud native systems would make use of indicators observed on a network or host such as IP addresses, domain names, URLs, and file hashes which can be used to assist in the identification of threats. Behavioral indicators, such as threat actor tactics, techniques, and procedures can also be used to identify threat actor activity in cloud native components. The [MITRE ATT&CK framework for Cloud](https://attack.mitre.org/matrices/enterprise/cloud/) includes cloud native tactics and techniques that can be leveraged as a starting point for establishing and validating observability.

## Projects
- [MISP](https://www.misp-project.org/)
- [Medallion - proof of concept](https://github.com/oasis-open/cti-taxii-server)
- [OpenCTI](https://www.opencti.io)
- [OSINT Framework](https://osintframework.com/)
- [Threatcrowd](https://www.threatcrowd.org/)

<!--
Commercial Projects (optional)
Limo (https://www.anomali.com/resources/limo)
Rapid7 (www.alcide.io)
Trend Micro Smart Protection Network (https://www.trendmicro.com/en_us/business/technologies/smart-protection-network.html)
Aqua Vulnerability Database (https://avd.aquasec.com/)
-->

## Examples
- Threat intelligence is the collection and application of indicators, behaviors, and attack information observed during cybersecurity incidents in order to detect threats in your environment.
  - Primitive threat intelligence indicators are immutable values such as IP addresses, domains, and file hashes associated with known threats.
  - Complex threat intelligence indicators are rules or logic that identify behaviors associated with known threats. Examples of complex indicators include yara rules, SIGMA rules, and suricata rules.
- Tactics, Techniques and Procedures (TTPs) are behaviors, actions, and common methods used by threat actors to achieve an objective.

## Other Links/Materials:
[TAXII/STIX](https://oasis-open.github.io/cti-documentation/)
[MITRE ATT&CK](https://attack.mitre.org/)
